Bug 1558651 - Conflict between files of the sahara-tests packages from OSP12 and OSP13
Summary: Conflict between files of the sahara-tests packages from OSP12 and OSP13
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-sahara-tests
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Telles Nobrega
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-20 16:54 UTC by Luigi Toscano
Modified: 2018-06-27 13:48 UTC (History)
2 users (show)

Fixed In Version: openstack-sahara-tests-0.6.0-0.20180223171941.415421f.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:48:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch for rhos-13.0-rhel-7 (858 bytes, patch)
2018-03-20 17:11 UTC, Yaakov Selkowitz
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
RDO 13004 None None None 2018-03-20 22:45:42 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:48:48 UTC

Description Luigi Toscano 2018-03-20 16:54:09 UTC
Description of problem:

Trying to upgrade RH-OSP 12 to a work-in-progress RH-OSP13, the yum update step terminates with:

2018-03-12 19:13:51,348 INFO: Total                                               23 MB/s | 1.7 GB  01:16
2018-03-12 19:13:51,560 INFO: Running transaction check
2018-03-12 19:13:52,038 INFO: Running transaction test
2018-03-12 19:13:52,400 INFO: 
2018-03-12 19:13:52,400 INFO: 
2018-03-12 19:13:52,400 INFO: Transaction check error:
2018-03-12 19:13:52,400 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/__init__.pyc from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,400 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/unit/__init__.pyc from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,401 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/utils/__init__.pyc from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,401 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/__init__.pyo from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,401 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/unit/__init__.pyo from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,402 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/utils/__init__.pyo from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,402 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/version.pyc from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,402 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/version.pyo from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,402 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/utils/crypto.pyc from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,403 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/utils/crypto.pyo from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,403 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/utils/tempfiles.pyc from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch
2018-03-12 19:13:52,403 INFO:   file /usr/lib/python2.7/site-packages/sahara_tests/utils/tempfiles.pyo from install of python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch conflicts with file from package openstack-sahara-tests-0.5.0-2.el7ost.noarch

The pyc/pyo files should not conflict.

Version-Release number of selected component (if applicable):
python2-sahara-tempest-0.6.0-0.20180223171940.415421f.el7ost.noarch

Comment 1 Yaakov Selkowitz 2018-03-20 17:11:37 UTC
Created attachment 1410654 [details]
Patch for rhos-13.0-rhel-7

Please try this, and fix in RDO if needed.

Comment 2 Jon Schlueter 2018-03-20 18:06:02 UTC
Fix is already in RDO

Comment 6 Luigi Toscano 2018-04-13 13:33:00 UTC
This issue has been solved.
The packages generated from the source package openstack-sahara-tests-0.6.0-2.el7ost.src.rpm (python2-sahara-tempest, python2-sahara-tests-tempest, python2-sahara-tests-scenario) obsoletes/replaces the corresponding packages from openstack-sahara-tests-0.5.0-2.el7ost.src.rpm (openstack-sahara-tests, python-sahara-tests-tempest, python-sahara-tests-scenario respectively).

Comment 8 errata-xmlrpc 2018-06-27 13:48:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.